Skip to main content
GET
/
v1
/
shipping
/
retailers
/
{id}
/
routing-guides
List Retailer Routing Guides
curl --request GET \
  --url https://{base_url_domain}/api/global/v1/shipping/retailers/{id}/routing-guides \
  --header 'Authorization: Bearer <token>'
{
  "collection": [
    {
      "type": "RetailerRoutingGuide",
      "id": 12,
      "title": "Walmart Routing Guide 2026",
      "description": "Includes carton-label spec and ASN windows.",
      "file_name": "walmart-routing-guide-2026.pdf",
      "file_type": "pdf",
      "file_size": 524288,
      "uploaded_at": "2026-05-26T12:34:56Z",
      "retailer": {
        "type": "Retailer",
        "id": 2
      },
      "uploaded_by": {
        "type": "Requester",
        "id": 3
      },
      "created_at": "2026-05-26T12:34:56Z",
      "updated_at": "2026-05-26T12:34:56Z"
    }
  ],
  "has_more": true,
  "next": "<string>",
  "previous": "<string>",
  "meta": {
    "processing_time": 0.2525252525,
    "cursor_start": 123,
    "cursor_end": 123,
    "count": 123
  }
}

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Path Parameters

id
integer<int32>
required

The id of the parent Retailer.

Required range: x >= 1

Query Parameters

fields
enum<string>[]

Specify additional fields of the RetailerRoutingGuide object to be included in the response. See the selecting fields page for more information.

Available options:
basic,
all,
title,
description,
file_name,
file_type,
file_size,
uploaded_by,
uploaded_at,
retailer,
created_at,
updated_at
fields:retailer
enum<string>[]

Specify additional fields of the parent Retailer object to be included in the response. See the selecting fields page for more information.

Available options:
basic,
all,
code,
name,
status,
fulfillment_model,
merchant,
parent_retailer,
legal_name,
dba,
default_duties_payor,
default_shipping_method,
allowed_shipping_methods,
default_tpb_group_id,
routing_guide_notes,
custom_fields,
created_at,
updated_at
fields:retailer.merchant
enum<string>[]

Specify additional fields of the nested Merchant of the parent Retailer. See the selecting fields page for more information.

Available options:
basic,
all,
code,
name,
status,
created_at,
updated_at,
brands,
default_brand,
custom_fields
fields:uploaded_by
enum<string>[]

Specify additional fields of the Requester object (the entity that uploaded the routing guide) to be included in the response. See the selecting fields page for more information.

Available options:
all
filter
string[]

Using the filtering syntax, you may filter the results using: id, title, file_type, file_size, uploaded_at, created_at, updated_at.

sort
string

The default sort order is descending by primary key (sort=-id).

Using the sorting syntax, the following fields are available for sorting:

  • id
  • title
  • file_type
  • file_size
  • uploaded_at
  • created_at
  • updated_at
count
integer

If specified as 1, the meta.count property of the response will be present and populated with the total count of items matching the query before any paging is applied. This is not included by default to improve performance in some edge cases and is not required to perform paging using the next property of the response. See paging parameters for more information.

Required range: 0 <= x <= 1
cursor_end
integer

A cursor for use in pagination which defines the last id of the next page of results, non-inclusive. See paging parameters for more information on paging.

cursor_start
integer

A cursor for use in pagination which defines the starting id of the next page of results. See paging parameters for more information on paging.

limit
integer
default:100

A limit on the number of objects to be returned.

Required range: 1 <= x <= 1000
Example:

100

Response

A dictionary with a collection of RetailerRoutingGuide objects.

collection
RetailerRoutingGuide · object[]
has_more
boolean

True if the collection has more items on the next page. Use the "next" link to retrieve the next page of results.

next
string | null

The resource path for the next page of results if any are expected.

previous
string | null

The resource path for the previous page of results if any are expected.

meta
object

Additional metadata pertaining to the response.